﻿@if (Context.LastUpdate != null)
{
    DateTime LastUpdateTime = (DateTime)Context.LastUpdate;
    @if ( LastUpdateTime.ToLocalTime() < DateTime.Now.AddDays(-7.0) && LastUpdateTime.ToLocalTime() > DateTime.Now.AddDays(-30.0) )
    {
<Popover Placement="@Placement.RightTop" Title="">
    <ContentTemplate>
        @((MarkupString)Reason)
    </ContentTemplate>
    <ChildContent>
        <MatIcon style="transform:scale(0.75)" Icon="info" />
    </ChildContent>
</Popover>
    }
    else if ( Context.LastUpdate <= DateTime.UtcNow.AddDays(-30.0) )
    {
<Popover Placement="@Placement.RightTop" Title="">
    <ContentTemplate>
        @((MarkupString)Reason)
    </ContentTemplate>
    <ChildContent>
        <MatIcon style="transform:scale(0.75)" Icon="warning" />
    </ChildContent>
</Popover>
    }
    else if ( Context.PlanetConsumptionTime != null )
    {
<Popover Placement="@Placement.RightTop" Title="">
    <ContentTemplate>
        The time indicated is estimated consumption time.<br />
        If you do not leave your game logged in with FIOExtension running, it may be old/invalid.<br />
        <br />
    </ContentTemplate>
    <ChildContent>
        <span>Consumption: @(((DateTime)Context.PlanetConsumptionTime).ToLocalTime().ToString("t"))</span>
        <MatIcon style="transform:scale(0.75)" Icon="info" />
    </ChildContent>
</Popover>
    }
    else if ( Context.Children.Count > 0 )
    {
<Popover Placement="@Placement.RightTop" Title="">
    <ContentTemplate>
        <p>
            If you leave APEX logged in with the FIOExtension present, eventually it will receive<br />
            a <em>WORKFORCES_WORKFORCE_UPDATED</em> event. Once this happens, FIO tracks it as your<br />
            consumption time.
        </p>
    </ContentTemplate>
    <ChildContent>
        <span>Consumption: Unknown</span>
        <MatIcon style="transform:scale(0.75)" Icon="info" />
    </ChildContent>
</Popover>
    }
}